This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1252803 - Review Request: python-zake - kazoo library testing utility
Review Request: python-zake - kazoo library testing utility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-12 05:21 EDT by Chandan Kumar
Modified: 2015-10-07 07:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-zake-0.2.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 07:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2015-08-12 05:21:44 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-zake.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-zake-0.2.2-1.fc22.src.rpm

Description: It is a python package that works to provide a nice set of testing
utilities for the `kazoo`_ library.
It includes the following functionality:
* Storage access (for viewing what was saved/created).
* Kazoo *mostly* compatible client API.
 *Sync/transaction/create/get/delete... .

Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10678889
Comment 1 Parag AN(पराग) 2015-08-13 00:17:21 EDT
Issues:
1) We recently changed Python guidelines for F22+ and EPEL7. Please look again https://fedoraproject.org/wiki/Packaging:Python and change the spec file

2) Add the python3 support as well, as we have python3 default in Fedora 23.

3) Fix rpmlint warnings.

4) I see LICENSE file is available in upstream but not as part of released tarball, so you need to add 
Source1: https://raw.githubusercontent.com/yahoo/Zake/master/LICENSE

in %prep
cp -p %{SOURCE1} .

5) I got confused by summary, use it as "Testing utilities for the kazoo library."


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)". Detailed output of licensecheck in
     /home/parag/1252803-python-zake/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-zake-0.2.2-1.fc24.noarch.rpm
          python-zake-0.2.2-1.fc24.src.rpm
python-zake.noarch: W: summary-not-capitalized C kazoo library testing utility
python-zake.src: W: summary-not-capitalized C kazoo library testing utility
python-zake.src:45: W: macro-in-comment %license
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python-zake.noarch: W: summary-not-capitalized C kazoo library testing utility
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
python-zake (rpmlib, GLIBC filtered):
    python(abi)
    python-kazoo
    python-setuptools
    python-six



Provides
--------
python-zake:
    python-zake



Source checksums
----------------
https://pypi.python.org/packages/source/z/zake/zake-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 5a50859931c4f666d318b74d1c407a6150dd5194e4c5812d071a5c7c7cefe4e6
  CHECKSUM(SHA256) upstream package : 5a50859931c4f666d318b74d1c407a6150dd5194e4c5812d071a5c7c7cefe4e6
Comment 2 Chandan Kumar 2015-09-30 14:01:26 EDT
Hello Parag,

Thanks for the review.
Here is the updated 
SPEC : https://chandankumar.fedorapeople.org/python-zake.spec
SRPM : https://chandankumar.fedorapeople.org/python-zake-0.2.2-1.fc22.src.rpm

Thanks,

Chandan Kumar
Comment 3 Parag AN(पराग) 2015-09-30 23:45:52 EDT
I still think you should have kept simple summary in spec file as well as this bugzilla title as "Testing utilities for the kazoo library".


Otherwise looks good.

APPROVED.
Comment 4 Chandan Kumar 2015-10-01 01:54:45 EDT
New Package SCM Request
=======================
Package Name: python-zake
Short Description: Testing utilities for the kazoo library
Upstream URL:  https://github.com/yahoo/Zake
Owners: chandankumar apevec
Branches: f23
InitialCC:
Comment 5 Gwyn Ciesla 2015-10-01 08:55:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.